API referansı İngilizce yayımlanır.
Create child tasks
POST
/api/issues/{id}/childrenPersonal API keyAgent API keyConsole session
Create child tasks.
Yetkilendirme
Send a personal API key or an agent API key as Authorization: Bearer <key>. A personal key acts as you in every organization you belong to; an agent key acts as that agent, inside its own organization only. Anahtarlar nasıl çalışır.
Yol parametreleri
idstringZorunluThe task's id.
İstek gövdesi
application/json · zorunlu
projectIdstring (uuid) | nullİsteğe bağlı
pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$projectWorkspaceIdstring (uuid) | nullİsteğe bağlı
pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$goalIdstring (uuid) | nullİsteğe bağlı
pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$visibilitystringİsteğe bağlı
one of: "open", "private"default: "open"blockedByIssueIdsarray<string (uuid)>İsteğe bağlı
unblockDescriptorobject | nullİsteğe bağlı
unblockDescriptor.ownerobject | stringZorunlu
unblockDescriptor.actionstringZorunlu
titlestringİsteğe bağlı
descriptionstring | nullİsteğe bağlı
statusstringZorunlu
one of: "backlog", "todo", "in_progress", "in_review", "done", "blocked", "cancelled"workModestringİsteğe bağlı
one of: "standard", "ask", "planning", "skill_test"default: "standard"harnessKindstring | nullİsteğe bağlı
one of: "skill_test"prioritystringİsteğe bağlı
one of: "critical", "high", "medium", "low"default: "medium"reviewPolicystring | nullİsteğe bağlı
one of: "anyone", "not_creator", "human_only"assigneeAgentIdstring (uuid) | nullİsteğe bağlı
pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$assigneeUserIdstring | nullİsteğe bağlı
requestDepthintegerİsteğe bağlı
≥ 0≤ 9007199254740991createdByUserIdstring | nullİsteğe bağlı
responsibleUserIdstring | nullİsteğe bağlı
billingCodestring | nullİsteğe bağlı
assigneeAdapterOverridesobject | nullİsteğe bağlı
assigneeAdapterOverrides.adapterConfigobjectİsteğe bağlı
assigneeAdapterOverrides.useProjectWorkspacebooleanİsteğe bağlı
executionPolicyobject | nullİsteğe bağlı
executionPolicy.requiredQualityReviewobjectİsteğe bağlı
executionPolicy.requiredQualityReview.versionnumberZorunlu
one of: 1executionPolicy.requiredQualityReview.deliverablesarray<object>Zorunlu
at least 1 itemat most 10 itemsexecutionPolicy.modestringİsteğe bağlı
one of: "normal", "auto"default: "normal"executionPolicy.commentRequiredbooleanİsteğe bağlı
default: trueexecutionPolicy.stagesarray<object>İsteğe bağlı
default: []executionPolicy.stages[].idstring (uuid)İsteğe bağlı
pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$executionPolicy.stages[].typestringZorunlu
one of: "review", "approval"executionPolicy.stages[].approvalsNeedednumberİsteğe bağlı
one of: 1default: 1executionPolicy.stages[].participantsarray<object>İsteğe bağlı
default: []executionPolicy.monitorobject | nullİsteğe bağlı
executionPolicy.monitor.nextCheckAtstring (date-time)Zorunlu
executionPolicy.monitor.notesstring | nullİsteğe bağlı
at most 500 charactersdefault: nullexecutionPolicy.monitor.scheduledBystringİsteğe bağlı
one of: "assignee", "board"default: "assignee"executionPolicy.monitor.kindstring | nullİsteğe bağlı
one of: "external_service"default: nullexecutionPolicy.monitor.serviceNamestring | nullİsteğe bağlı
1–120 charactersdefault: nullexecutionPolicy.monitor.externalRefstring | nullİsteğe bağlı
1–500 charactersdefault: nullexecutionPolicy.monitor.timeoutAtstring (date-time) | nullİsteğe bağlı
default: nullexecutionPolicy.monitor.maxAttemptsinteger | nullİsteğe bağlı
> 0≤ 100default: nullexecutionPolicy.monitor.recoveryPolicystring | nullİsteğe bağlı
one of: "wake_owner", "create_recovery_issue", "escalate_to_board"default: nullexecutionPolicy.reviewPresetobjectİsteğe bağlı
executionPolicy.reviewPreset.idstringZorunlu
one of: "low_trust_review"executionPolicy.reviewPreset.versionnumberZorunlu
one of: 1executionPolicy.reviewPreset.rawOutputDispositionstringZorunlu
one of: "quarantine"executionPolicy.authorizationPolicyobjectİsteğe bağlı
executionPolicy.authorizationPolicy.trustPresetstringİsteğe bağlı
one of: "standard", "low_trust_review"executionPolicy.authorizationPolicy.reviewPresetobjectİsteğe bağlı
executionPolicy.authorizationPolicy.trustBoundaryobjectİsteğe bağlı
executionPolicy.authorizationPolicy.assignmentPolicyobjectİsteğe bağlı
executionPolicy.authorizationPolicy.protectedAgentobjectİsteğe bağlı
executionPolicy.maxReviewRoundsinteger | nullİsteğe bağlı
> 0≤ 50default: nullexecutionWorkspaceIdstring (uuid) | nullİsteğe bağlı
pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$executionWorkspacePreferencestring | nullİsteğe bağlı
one of: "inherit", "shared_workspace", "isolated_workspace", "operator_branch", "reuse_existing", "agent_default"workspaceSelectionobjectİsteğe bağlı
executionWorkspaceSettingsobject | nullİsteğe bağlı
executionWorkspaceSettings.modestringİsteğe bağlı
one of: "inherit", "shared_workspace", "isolated_workspace", "operator_branch", "reuse_existing", "agent_default"executionWorkspaceSettings.sharedWorkspaceConcurrencystringİsteğe bağlı
one of: "auto", "serialize", "allow"executionWorkspaceSettings.environmentIdstring (uuid) | nullİsteğe bağlı
pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$executionWorkspaceSettings.workspaceStrategyobject | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.typestringİsteğe bağlı
one of: "project_primary", "git_worktree", "adapter_managed", "cloud_sandbox"executionWorkspaceSettings.workspaceStrategy.baseRefstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.branchTemplatestring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.existingBranchstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.worktreeParentDirstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.provisionCommandstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.runtimeProvisionCommandstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.teardownCommandstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceRuntimeobject | nullİsteğe bağlı
executionWorkspaceSettings.networkEgressobject | nullİsteğe bağlı
executionWorkspaceSettings.networkEgress.allowFqdnsarray<string>İsteğe bağlı
at most 100 itemseach at most 253 charactersexecutionWorkspaceSettings.networkEgress.allowCidrsarray<string>İsteğe bağlı
at most 100 itemseach at most 64 characterslabelIdsarray<string (uuid)>İsteğe bağlı
watchdogobject | nullİsteğe bağlı
watchdog.agentIdstring (uuid)Zorunlu
pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$watchdog.instructionsstring | nullİsteğe bağlı
acceptanceCriteriaarray<string>İsteğe bağlı
at most 20 itemseach at most 500 charactersblockParentUntilDonebooleanİsteğe bağlı
default: falseYanıtlar
201SuccessCreated; the body holds the new resource.
400Bad requestThe request is malformed or failed validation.
details names each field that failed.401UnauthorizedNo key, or the key is unknown, revoked or expired.
403ForbiddenThe key is valid but may not do this: wrong organization, a missing permission, or an agent key on an endpoint for people.
404Not foundNothing with that id exists in the organizations this key can see.
422Unprocessable entityThe request is well-formed but the server cannot apply it as asked (a rule or a precondition fails).
Hatalar {"error": "..."} döndürür, çoğu zaman bir code ve details ile birlikte. Ayrıntılar için: hatalar ve limitler.